aboutsummaryrefslogtreecommitdiff
path: root/configchrootforarch
diff options
context:
space:
mode:
Diffstat (limited to 'configchrootforarch')
-rwxr-xr-xconfigchrootforarch24
1 files changed, 24 insertions, 0 deletions
diff --git a/configchrootforarch b/configchrootforarch
new file mode 100755
index 0000000..3748fcd
--- /dev/null
+++ b/configchrootforarch
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# configure chroot for architecture being built
+# currently that means install arm64 repo and buildflags, for other arches leave as-is.
+
+filestore=/etc/sbuild/files
+
+if [ "$1" = "" ]; then
+ echo "$0 needs a parameter <architecture> e.g. arm64"
+ exit 1
+fi
+
+case $1 in
+ (arm64)
+ cp ${filestore}/buildflags.conf /etc/dpkg/
+ cp ${filestore}/arm64-repo.list /etc/apt/sources.list.d/
+ ;;
+ (*)
+ rm -f /etc/dpkg/buildflags.conf /etc/apt/sources.list.d/arm64-repo.list
+ ;;
+esac
+
+
+